#include <stdio.h>
int max(int a,int b){
    if (a>b) return a;
    else return b;
}
int min(int a,int b){
    if (a>b) return b;
    else return a;}
main()
{
    int x,n,a,m,s;
    scanf("%d%d",&n,&x);
    int r=0;
    int p=0;
    int br=0;
    int br2=0;
    while(p<n){
        scanf("%d",&a);
        if (p==0) br2=a;
        m=max(a,br);
        s=min(br2,a);
        br=m;
        br2=s;
        p++;
    }
    if(br2<x){
        if (br2>0){
            r=x-br2;
            x=br2;
        }
        if (br2<0){
            r=x-br2;
            x=br2;
        }
    }
    r=r+(br-x);
printf("%d ",r);
}